<div class="container">
  <div class="row">
    <div class="col-md-12">
      <div class="panel panel-default">
        <div class="panel-heading">
          <h1 class="panel-title">Lista de consultas</h1>
        </div>
        <div class="panel-body">
        <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <div class="btn-toolbar pull-right" role="toolbar" aria-label="Opciones de la lista de consultas">
              <div class="btn-group" role="group" aria-label="Ordenar por nombre">
                <button type="button" class="btn btn-default <?=($order_by=='por-nombre' && $order_mode=='asc') ? 'active' : ''; ?>" onclick="location.href= base_url() + 'consultor/consultas/lista/<?=$page?>/por-nombre/asc'" data-tooltip="tooltip" title="Ordenar A-Z"><span class="glyphicon glyphicon-sort-by-alphabet" aria-hidden="true" ></span></button>
                <button type="button" class="btn btn-default <?=($order_by=='por-nombre' && $order_mode=='desc') ? 'active' : ''; ?>" onclick="location.href= base_url() + 'consultor/consultas/lista/<?=$page?>/por-nombre/desc'" data-tooltip="tooltip" title="Ordenar Z-A"><span class="glyphicon glyphicon-sort-by-alphabet-alt" aria-hidden="true"></span></button>
              </div>
              <div class="btn-group" role="group" aria-label="Ordenar por fecha">
                <button type="button" class="btn btn-default <?=($order_by=='por-fecha' && $order_mode=='asc') ? 'active' : ''; ?>" onclick="location.href= base_url() + 'consultor/consultas/lista/<?=$page?>/por-fecha/asc'"><span class="glyphicon glyphicon-arrow-up" aria-hidden="true" data-tooltip="tooltip" title="Ordenar por Antiguos"></span><span class="glyphicon glyphicon-calendar" aria-hidden="true"></span></button>
                <button type="button" class="btn btn-default <?=($order_by=='por-fecha' && $order_mode=='desc') ? 'active' : ''; ?>" onclick="location.href= base_url() + 'consultor/consultas/lista/<?=$page?>/por-fecha/desc'"><span class="glyphicon glyphicon-arrow-down" aria-hidden="true" data-tooltip="tooltip" title="Ordenar por Recientes"></span><span class="glyphicon glyphicon-calendar" aria-hidden="true"></span></button>
              </div>
              <!-- <div class="btn-group" role="group" aria-label="Opciones de caso">
                <button style="width: 100%" type="button" data-toggle="modal" data-target="#md-editar-consulta" data-mode="new" class="btn btn-primary"><span class="glyphicon glyphicon-plus" aria-hidden="true"></span> Nueva consulta</button>
              </div> -->
            </div>
          </div>
          </div>
          </div>
          <div class="table-responsive" style="margin-top:1%">
          <table class="table table-hover">
            <thead>
              <tr>
                <th>Cliente</th>
                <th class="col-sm-2 col-md-2">Fecha</th>
                <th class="col-md-4">Asesoría solicitada</th>
                <th>Materia</th>
                <th>Tema</th>
                <th>Subtema</th>
                
                <th class="col-sm-2 col-md-2 col-bg-1">Acciones</th>
              </tr>
            </thead>
            <tbody>
              <?php foreach ($listado_consultas as $consulta): ?>
                <tr>
                  <td><?=$consulta->nombres?></td>
                  <td><?=$consulta->fecha?></td>
                  <td><?=substr($consulta->contenido, 0, 57).'...'?></td>
                  <td><?=$categorias['materias'][$consulta->materia]?></td>
                  <td><?=$categorias['temas'][$consulta->tema]?></td>
                  <td><?=$categorias['subtemas'][$consulta->subtema]?></td>
                  <td>
                    <button type="button" data-toggle="modal" data-target="#md-editar-consulta" data-mode="edit" data-cid="<?=$consulta->idconsulta?>" class="btn btn-primary btn-sm " data-tooltip="tooltip" title="Ver Consulta"><span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span></button>
                    <a role="button" class="btn btn-success btn-sm" href="<?=site_url('consultor/consultas/responder/'.$consulta->idconsulta);?>" data-tooltip="tooltip" title="Responder Consulta"><span class="glyphicon glyphicon-send" aria-hidden="true"></span></a>
                  </td>
                </tr>
              <?php endforeach; ?>
            </tbody>
          </table>
          </div>
        </div>
      </div>
      <div class="col-md-12 text-center">
        <?php echo $pagination; ?>
      </div>
    </div>
  </div>
</div>
</div>
</div>
<div class="modal fade" id="md-editar-consulta">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 id="modal-title" class="modal-title">Nueva consulta</h4>
      </div>
      <div class="modal-body"> 
        <div class="container-fluid">
          <form id="frm-editar-consulta">
            <div class="row">
              <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
              <div class="form-group">
                  <label for="nombres" class="control-label">Cliente:</label>
                  <input type="text" name="nombres" id="nombres" class="form-control" value="" required="required" title="Nombre">
                </div>
              </div>

              <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
              <div class="form-group">
                <label for="caso" class="control-label">Caso:</label>
                  <input type="text" name="caso" id="caso" class="form-control" value="" required="required" title="Caso">
                  </div>
              </div>
              <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
                <div class="form-group">
                  <label for="fecha" class="control-label">Fecha de apertura:</label>
                  <div class="input-group date" id="fecha-apertura">
                    <input name="fecha" id="fecha" type="text" class="form-control" required="required" title="Fecha de la consulta" />
                    <span class="input-group-addon">
                        <span class="glyphicon glyphicon-calendar"></span>
                    </span>
                </div>  
                </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
                <div class="form-group">
                  <label for="materia" class="control-label">Materia:</label>
                  <select name="materia" id="consulta-materia" class="form-control" required="required" onchange="GetComboData('consulta-materia', 'tema', 'temas', false)">
                    <option value=""></option>
                  </select>
                </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
                <div class="form-group">
                  <label for="tema" class="control-label">Tema:</label>
                  <select name="tema" id="tema" class="form-control" required="required" onchange="GetComboData('tema', 'subtema', 'subtemas', false)">
                    <option value=""></option>
                  </select>
                </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
                <div class="form-group">
                  <label for="subtema" class="control-label">Subtema:</label>
                  <select name="subtema" id="subtema" class="form-control" required="required">
                    <option value=""></option>
                  </select>
                </div>
                </div>
              
              <div class="col-md-12">
                <div class="form-group">
                  <label for="contenido" class="control-label">Asesoría solicitada:</label>
                  <textarea name="contenido" id="contenido" class="form-control" rows="5" required="required"></textarea>
                </div>
              </div>
              </div>
            <div class="row" id="row-respuesta">
            <div class="col-md-12">
                <div class="form-group">
                  <label for="respuesta" class="control-label">Respuesta:</label>
                  <textarea disabled="disabled" name="respuesta" id="respuesta" class="form-control" rows="12"></textarea>
                </div>
              </div>        
            </div>
            </div>
            <input type="hidden" name="idcliente" value="">
            <input type="hidden" name="idpersona" value="">
          
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        <button type="submit" class="btn btn-primary" id="guardar-cambios">Guardar</button>
        </form>
      </div>
    </div>
  </div>
</div>